Subject: Running RAT with the MS-DOS prompt ?

From: Daniel Michel <[email-masked]>
Date: Fri, 13 Mar 1998 01:09:54 -0500

In order to do traffic miroring, I need to run the RAT.exe tool from the
DOS prompt.

As I type, in the good directory :
                           rat   IP_address_of_partner/port_number

rat does not start, a Visual C++ Debug Library message appears. The
content of this message is copied below.
As I run the same program (rat.exe), on an other Win95 PC, it works
well; that's strange ?

Thanx in advance for any help,

    Daniel

***********************************************************************

This is my problem :

***********************************************************************

rat IP_add/Port_number  <return> on a PC Pentium Win95 in a DOS Window
(OS= Win 95 4.00.950.B, IE 4.0.4.71.1712.6)

A "Visual C++ Debug Library" appears :
-----------------------------------------

Debug assertion Failed!

Program: C:\USER.....\RAT.EXE
File: dbgheap.c
Line: 1017

Expression: _BLOCK_TYPE_IS_VALID(pHead->nBlockUse)

For information on how your program can cause an assertion
failure, see the Visual C++ documentation on asserts.

When I press the button 'ignore' :
--------------------------------

Debug Error!

Program: C:\USER.....\RAT.EXE

DAMAGE: before(null)block(#8474884) at 0x00837078

When press button ignore again :
------------------------------

Debug Assetion Failed!

Program: C:\USER.....\RAT.EXE
File: dbgheap.c
Line: 1051

Expression: pHead->nBlockUse==nBlockUse

For information on how your program can cause an assertion
failure, see the Visual C++ documentation on asserts.